Bug 395 - Cancel in the Save System dialog quits UPPAAL
Summary: Cancel in the Save System dialog quits UPPAAL
Alias: None
Product: UPPAAL
Classification: Unclassified
Component: GUI (show other bugs)
Version: 4.0.5
Hardware: Macintosh Mac OS
: P2 major
Assignee: Gerd Behrmann
Depends on:
Reported: 2007-02-26 15:22 CET by Lars T. Mikkelsen
Modified: 2007-05-13 18:10 CEST (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Lars T. Mikkelsen 2007-02-26 15:22:47 CET
On Mac OS (but not Linux) the Cancel button in the Save System dialog quits UPPAAL.

Reproducible: Always

Steps to Reproduce:
1. Start UPPAAL
2. Add a new location to the template
3. Press Command-Q (or select Quit from the UPPAAL menu)
4. Press Cancel in the Save System dialog

Actual Results:
UPPAAL quits without saving the system.

Expected Results:
The Save System dialog should be closed and UPPAAL should not quit.
Comment 1 Gerd Behrmann 2007-02-26 19:15:34 CET
Comment 2 Gerd Behrmann 2007-03-02 21:53:25 CET
Further info:

- The bug is only triggered if Uppaal is quit via the menu (either with the mouse or keyboard shortcut). Closing the window behaves as expected.
- Canceling in the "Save Don't save Cancel"-dialog is also affected. 

The bug happens to be in SwixML, which does not provide a means to cancel the quit. I have committed a workaround on the 4.0 branch from rev. 2986.
Comment 3 Lars T. Mikkelsen 2007-03-15 10:00:24 CET
Fix confirmed in 4.0.6.
Comment 4 Gerd Behrmann 2007-03-15 10:30:55 CET
The bug is not yet closed on other branches than 4.0.